Fork me on GitHub

ghc中cabal安装失败,总是出现conflict,该如何使用啊.

E:_demo>cabal install yesod-platform
Resolving dependencies...
cabal: Could not resolve dependencies:
trying: yesod-platform-1.2.13.3 (user goal)
trying: scientific-0.3.4.6/installed-9fC... (dependency of
attoparsec-0.13.0.2/installed-4uZ...)
next goal: yesod-routes (dependency of yesod-platform-1.2.13.3)
rejecting: yesod-routes-1.2.0.7 (conflict: scientific =>
vector==0.11.0.0/installed-6uB..., yesod-routes => vector>=0.8 && <0.11)
rejecting: yesod-routes-1.2.0.6, yesod-routes-1.2.0.5, yesod-routes-1.2.0.4,
yesod-routes-1.2.0.3, yesod-routes-1.2.0.2, yesod-routes-1.2.0.1,
yesod-routes-1.2.0, yesod-routes-1.1.2, yesod-routes-1.1.1.1,
yesod-routes-1.1.1, yesod-routes-1.1.0.2, yesod-routes-1.1.0.1,
yesod-routes-1.1.0, yesod-routes-1.0.1.2, yesod-routes-1.0.1.1,
yesod-routes-1.0.1, yesod-routes-1.0.0, yesod-routes-0.0.1 (conflict:
yesod-platform => yesod-routes==1.2.0.7)
Backjump limit reached (currently 2000, change with --max-backjumps or try to
run with --reorder-goals).

Submitted by at 7 months ago

所有回复

https://github.com/yesodweb/yesod/issues/742
如果还是未能解决,可以试试stack。

kalxd 7 months ago